import 'package:flutter/material.dart';
import 'package:tivio_sdk/player/tivio_player_basic_ui.dart';

class TivioPlayerBasicUiWidget extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SafeArea(
        child: AspectRatio(
          aspectRatio: 9 / 9,
          child: Container(
            color: Colors.amber,
            child: Stack(
              children: [
                TivioPlayerBasicUi(
                  isPlaying: false,
                  isInFullscreen: true,
                  duration: Duration(seconds: 120),
                  progress: Duration(seconds: 41),
                  controls: TivioPlayerUiPressControls(
                    onPlayPressed: () => print('play'),
                    onPausePressed: () => print('pause'),
                    onForwardPressed: () => print('forward'),
                    onBackwardPressed: () => print('back'),
                    onEnterFullscreenPressed: () => print('enter fullscreen'),
                    onExitFullscreenPressed: () => print('exit fullscreen'),
                    onSeekingStarted: () => print('seek started'),
                    onSeekingEnded: (value) => print('on seek ended, value: $value'),
                  ),
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
