import 'package:flutter/material.dart';
import 'package:tivio_sdk/tivio.dart';

class TivioPlayerPlayByController extends StatelessWidget {
  final Tivio tivio;
  final String videoId;
  final String videoUrl;
  final TivioPlayerController tivioPlayerController = TivioPlayerController();

  TivioPlayerPlayByController({
    this.tivio,
    this.videoId,
    this.videoUrl,
  });

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Select wideo and play'),
      ),
      body: SingleChildScrollView(
        child: Flex(
          direction: Axis.vertical,
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            TivioPlayer(
              playerId: 'demo',
              tivio: tivio,
              controller: tivioPlayerController,
            ),
            TextButton(
                onPressed: () {
                  tivioPlayerController.openAndPlay(TivioDataVideo(
                    videoId,
                    'Demo video 1',
                    Duration(milliseconds: 0),
                    null,
                    videoUrl,
                    '',
                    false,
                    null,
                    null,
                  ));
                },
                child: Text('Video 1'))
          ],
        ),
      ),
    );
  }
}
