class TivioDataWidget {
  String id;
  String name;

  TivioDataWidget(String id, String name) {
    this.id = id;
    this.name = name;
  }
}

class _ChannelImages {
  String logo;
  String cover;

  _ChannelImages(String logo, String cover) {
    this.logo = logo;
    this.cover = cover;
  }
}

class TivioDataChannel {
  String id;
  String name;
  _ChannelImages images;

  TivioDataChannel(String id, String name, String logo, String cover) {
    this.id = id;
    this.name = name;
    this.images = new _ChannelImages(logo, cover);
  }
}

class TivioDataSection {
  String id;
  String name;

  TivioDataSection(String id, String name) {
    this.id = id;
    this.name = name;
  }
}

class _Url {
  String hls;

  _Url(this.hls);
}

class _VideoImages {
  String cover;

  _VideoImages(this.cover);
}

class _Monetization {
  num price;
  String type;

  _Monetization(this.price, this.type);
}

class TivioDataPlaylistItem {
  String name;
  _Url url;
  Duration duration;

  TivioDataPlaylistItem(String name, String url, Duration duration) {
    this.name = name;
    this.url = _Url(url);
    this.duration = duration;
  }
}

class TivioDataVideo {
  String id;
  String name;
  Duration duration;
  DateTime created;
  _Url url;
  _VideoImages images;
  bool isPlaylist;
  List<TivioDataPlaylistItem> playlistItems = [];
  _Monetization monetization;

  TivioDataVideo(
    String id,
    String name,
    Duration duration,
    DateTime created,
    String url,
    String cover,
    bool isPlaylist,
    List<TivioDataPlaylistItem> playlistItems,
    Map monetization,
  ) {
    this.id = id;
    this.name = name;
    this.duration = duration;
    this.created = created;
    this.url = _Url(url);
    this.images = new _VideoImages(cover);
    this.isPlaylist = isPlaylist;
    this.playlistItems = playlistItems;
    if (monetization != null) {
      this.monetization = _Monetization(monetization['price'], monetization['type']);
    }
  }
}

class TivioDataPagination<T> {
  List<T> records;
  bool hasNextPage;

  TivioDataPagination(List<T> records, bool hasNextPage) {
    this.records = records;
    this.hasNextPage = hasNextPage;
  }
}
