import '../dto.dart';

class TivioDataChannelParser {
  static TivioDataChannel parseChannel(Map data) {
    if (data['name'] == null) {
      return null;
    }

    return TivioDataChannel(data['id'], data['name'], data['headerLogo'], data['cover']);
  }

  static TivioDataPagination<TivioDataChannel> parsePaginatedChannels(Map data) {
    var records = data['records'] ?? [];
    var channels = records
        .map<TivioDataChannel>(
          (channel) => TivioDataChannelParser.parseChannel(
            channel,
          ),
        )
        .where((element) => element != null)
        .toList();

    return TivioDataPagination(channels, data['hasNextPage'] ?? false);
  }
}
