import '../dto.dart';

class TivioDataSectionParser {
  static TivioDataSection parseSection(Map data) {
    if (data['name'] == null) {
      return null;
    }

    return TivioDataSection(data['id'], data['name']);
  }

  static TivioDataPagination<TivioDataSection> parsePaginatedSections(Map data) {
    var records = data['records'] ?? [];
    var sections = records
        .map<TivioDataSection>(
          (section) => TivioDataSectionParser.parseSection(
            section,
          ),
        )
        .where((element) => element != null)
        .toList();

    return TivioDataPagination(sections, data['hasNextPage'] ?? false);
  }
}
