abstract class _MessageBroker {
  final listeners = new Map<String, Function>();

  publish(
    String key,
    dynamic payload,
  );

  listen(String key, Function callback) {
    listeners[key] = callback;
  }

  removeListener(String key) {
    listeners.remove(key);
  }
}

class DataMessageBroker extends _MessageBroker {
  publish(String key, dynamic payload) {
    if (listeners[key] != null) {
      listeners[key](payload);
      listeners.remove(key);
    }
  }
}

class CallbackMessageBroker extends _MessageBroker {
  publish(String key, dynamic payload) {
    if (listeners[key] != null) {
      listeners[key](payload);
    }
  }
}
